function Confirm-Hashtable {
    Param([Hashtable]$Parameters)

    Write-Host "$($Parameters.GetEnumerator() | Sort-Object -Property 'Name' | Format-Table -AutoSize | Out-String)"
    $Answer = Read-Host -Prompt 'Is this correct? (y/n)'
    if (($Answer -ieq 'y') -or ($Answer -ieq 'yes')) {
        return $true
    } else {
        return $false
    }
}